import os
import subprocess

def read_and_speak(file_path, lang="en-US"):
    try:
        # Read file content
        with open(file_path, "r") as file:
            text = file.read().strip()

        if not text:
            print("The text file is empty.")
            return

        # Process text in blocks of 60 characters
        chunk_size = 60
        chunks = [text[i:i+chunk_size] for i in range(0, len(text), chunk_size)]

        for chunk in chunks:
            # Generate and play audio for each chunk
            command = f'pico2wave -w temp_audio.wav "{chunk}" && aplay temp_audio.wav'
            subprocess.run(command, shell=True, check=True)

    except subprocess.CalledProcessError as e:
        print(f"Error generating or playing audio: {e}")
    except FileNotFoundError:
        print("File not found.")
    finally:
        # Clean up temporary audio file if it exists
        if os.path.exists("temp_audio.wav"):
            os.remove("temp_audio.wav")

if __name__ == "__main__":
    text_file_path = input("Enter the path to the text file: ").strip()
    if os.path.isfile(text_file_path):
        read_and_speak(text_file_path)
    else:
        print("Invalid file path.")
